GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_pollset Struct Reference

`#include <pollset_posix.h>`

## Data Fields
const grpc_pollset_vtable * | vtable
gpr_mu | mu
grpc_pollset_kick_state | kick_state
int | counter
int | in_flight_cbs
int | shutting_down
int | called_shutdown
void(* | shutdown_done_cb )(void *arg)
void * | shutdown_done_arg
union {
int fd
void * ptr
} | data
gpr_cv | cv

## Field Documentation

int grpc_pollset::called_shutdown

int grpc_pollset::counter

gpr_cv grpc_pollset::cv

union { ... } grpc_pollset::data

int grpc_pollset::fd

int grpc_pollset::in_flight_cbs

grpc_pollset_kick_state grpc_pollset::kick_state

gpr_mu grpc_pollset::mu

void* grpc_pollset::ptr

void* grpc_pollset::shutdown_done_arg

void(* grpc_pollset::shutdown_done_cb)(void *arg)

int grpc_pollset::shutting_down

const grpc_pollset_vtable* grpc_pollset::vtable

The documentation for this struct was generated from the following files:

- src/core/iomgr/pollset_posix.h
- src/core/iomgr/pollset_windows.h